import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:get/get.dart';
import 'package:traderscircuit/Utils/Common/CommonAppbar.dart';
import 'package:traderscircuit/Utils/Common/CustomTextFormField.dart';
import 'package:traderscircuit/Utils/Common/commonBotton.dart';
import 'package:traderscircuit/Utils/text.dart';
import 'package:traderscircuit/resources/routes/route_name.dart';
import 'package:traderscircuit/view/onBoarding/splashScreen1.dart';

class AddDetails extends StatefulWidget {
  const AddDetails({super.key});

  @override
  State<AddDetails> createState() => _AddDetailsState();
}

class _AddDetailsState extends State<AddDetails> {
  TextEditingController pincode = TextEditingController();
  TextEditingController dobcontroller = TextEditingController();
  Color primaryColor = Colors.transparent.withOpacity(0.2);
  Color secondaryColor = Colors.grey.shade800;

  bool isSwitched = false;

  void _toggleSwitch(bool value) {
    setState(() {
      isSwitched = value;
    });
  }

  DateTime timebackPressed = DateTime.now();

  Future<void> _selectDate(BuildContext context) async {
    final DateTime? picked = await showDatePicker(
        context: context,
        initialDate: DateTime.now(),
        firstDate: DateTime(1900),
        lastDate: DateTime.now(),
        builder: (context, child) {
          return Theme(
              data: Theme.of(context).copyWith(
                colorScheme: ColorScheme.light(
                  surface: Colors.black,
                  onSurface: Colors.white,
                  primary: Color(0xff9A0000),
                  onPrimary: Colors.white,
                ),
                textButtonTheme: TextButtonThemeData(
                  style: TextButton.styleFrom(
                    foregroundColor: Colors.white,
                  ),
                ),
              ),
              child: child!);
        });

    if (picked != null && picked != DateTime.now()) {
      setState(() {
        dobcontroller.text = "${picked.toLocal()}".split(' ')[0];
        final birthDate = DateTime(
          picked.year,
          picked.month,
          picked.day,
        );
      });
    }
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: CommonAppbar(titleTxt: "Add Details"),
      backgroundColor: Colors.black,
      extendBody: true,
      body: Stack(
        children: [
          CommonBlurLeft(),
          CommonBlurRight(),
          Stack(
            children: [
              Padding(
                padding: EdgeInsets.symmetric(horizontal: 16, vertical: 16),
                child: ListView(
                  physics: BouncingScrollPhysics(),
                  // mainAxisAlignment: MainAxisAlignment.start,
                  // crossAxisAlignment: CrossAxisAlignment.start,

                  children: [
                    Row(
                      children: [
                        text18W400("Full Name"),
                      ],
                    ),
                    SizedBox(
                      height: 15.h,
                    ),
                    CustomTextFormField(),
                    SizedBox(
                      height: 30.h,
                    ),
                    Row(
                      children: [
                        text18W400("Email Address"),
                      ],
                    ),
                    SizedBox(
                      height: 15.h,
                    ),
                    CustomTextFormField(),
                    SizedBox(
                      height: 30.h,
                    ),
                    Row(
                      children: [
                        text18W400("Phone Number"),
                      ],
                    ),
                    SizedBox(
                      height: 15.h,
                    ),
                    CustomTextFormField(),
                    SizedBox(
                      height: 30.h,
                    ),
                    Row(
                      children: [
                        text18W400("Date Of Birth"),
                      ],
                    ),
                    SizedBox(
                      height: 15.h,
                    ),
                    CustomTextFormField(
                      suffixIcon: Icon(
                        Icons.calendar_month_outlined,
                        color: Colors.white,
                      ),
                      readonly: true,
                      onTap: () {
                        _selectDate(context);
                      },
                    ),
                    SizedBox(
                      height: 30.h,
                    ),
                    Row(
                      children: [
                        text18W400("City"),
                      ],
                    ),
                    SizedBox(
                      height: 15.h,
                    ),
                    CustomTextFormField(),
                    SizedBox(
                      height: 40.h,
                    ),
                    Row(
                      mainAxisAlignment: MainAxisAlignment.spaceBetween,
                      children: [
                        Row(
                          children: [
                            Image.asset(
                              "assets/images/png/whatsapp.png",
                              height: 34.h,
                              width: 34.w,
                            ),
                            SizedBox(
                              width: 10.w,
                            ),
                            text18W600("Get Updates on WhatsApp"),
                          ],
                        ),
                        Row(
                          mainAxisAlignment: MainAxisAlignment.end,
                          children: [
                            Switch(
                              value: isSwitched,
                              onChanged: _toggleSwitch,
                              activeTrackColor: Colors.green,
                              activeColor: Colors.white,
                              inactiveTrackColor: Colors.white,
                              inactiveThumbColor: Colors.black,
                            ),
                          ],
                        ),
                      ],
                    ),
                    SizedBox(
                      height: 70.h,
                    ),
                    CommonBtn(
                      text: "Next",
                      onTap: () {
                        Get.toNamed(RouteName.kyc);
                      },
                    ),
                    SizedBox(
                      height: 10.h,
                    ),
                  ],
                ),
              ),
            ],
          ),
        ],
      ),
    );
  }
}
